# Gimp.Unit.new

    function new(name: String, factor: Number(gdouble), digits: Number(gint), symbol: String, abbreviation: String): Gimp.Unit {
        // Gjs wrapper for gimp_unit_new()
    }

Creates a new unit.

This procedure creates a new unit and returns it. Note that the new unit will have it's deletion flag set to TRUE, so you will have to set it to FALSE with Gimp.Unit.prototype.set_deletion_flag to make it persistent.

name

  The new unit's name.

factor

  The new unit's factor.

digits

  The new unit's digits.

symbol

  The new unit's symbol.

abbreviation

  The new unit's abbreviation.

Returns

  The new unit.